> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Employer Documents

> Retrieves the full list of every document uploaded.



## OpenAPI

````yaml get /employer_documents
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /employer_documents:
    get:
      tags:
        - employer_documents
      description: Retrieves the full list of every document uploaded.
      operationId: employer_documents_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: The pagination cursor value.
          schema:
            type: string
        - in: query
          name: employer
          schema:
            type: string
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedEmployerDocumentList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedEmployerDocumentList:
      type: object
      properties:
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/EmployerDocument'
    EmployerDocument:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        employer:
          type: string
        file:
          type: string
          format: uri
        name:
          type: string
          maxLength: 255
        document_type:
          $ref: '#/components/schemas/DocumentTypeEnum'
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - created_at
        - document_type
        - employer
        - file
        - id
        - name
    DocumentTypeEnum:
      enum:
        - summary_of_benefits_and_coverage
      type: string
      description: '* `summary_of_benefits_and_coverage` - Summary of Benefits and Coverage'
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````